NULL {base} | R Documentation

## The Null Object

### Description

`NULL` represents the null object in R. NULL is used mainly to represent the lists with zero length, and is often returned by expressions and functions whose value is undefined.

`as.null` ignores its argument and returns the value `NULL`.

`is.null` returns `TRUE` if its argument is `NULL` and `FALSE` otherwise.

### Usage

    NULL
    as.null(x)
    is.null(x)

### Examples

    is.null(list())    # FALSE (on purpose!)
    is.null(integer(0))# F
    is.null(logical(0))# F
    as.null(list(a=1,b='c'))

[Package Contents]